net.i2p.router.web.helpers

## Class NetDbHelper

- java.lang.Object
- - net.i2p.router.web.FormHandler
  - - net.i2p.router.web.helpers.NetDbHelper

-     public class NetDbHelper
      extends FormHandler

  Helper for network database page rendering and form processing. Handles router information searches, filtering, and display operations. Integrates with NetDbRenderer and SybilRenderer for output generation. Extends FormHandler for form submission handling since 0.9.38.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.i2p.router.web.FormHandler

      `FormHandler.Message`

  - ### Field Summary

    - ### Fields inherited from class net.i2p.router.web.FormHandler

      `_action, _context, _log, _method, _out, _requestWrapper, _settings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetDbHelper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `allowGraphical()` call for non-text-mode browsers
    `String` | `getFloodfillNetDbSummary()` storeWriter() must be called previously
    `String` | `getNavBarHtml()`
    `String` | `getNetDbSummary()`
    `String` | `getNewNonce()` Override to save it
    `boolean` | `isFloodfill()`
    `protected void` | `processForm()` Now we're a FormHandler
    `void` | `setCaps(String c)`
    `void` | `setClientPage(String f)`
    `void` | `setCost(String f)`
    `void` | `setCountry(String c)`
    `void` | `setDate(String f)`
    `void` | `setEtype(String f)`
    `void` | `setFamily(String c)`
    `void` | `setFull(String f)`
    `void` | `setIntros(String f)`
    `void` | `setIp(String c)`
    `void` | `setIpv6(String f)`
    `void` | `setLease(String l)`
    `void` | `setLeaseset(String f)`
    `void` | `setLimit(String f)`
    `void` | `setMode(String f)`
    `void` | `setMtu(String f)`
    `void` | `setPage(String f)`
    `void` | `setPort(String f)`
    `void` | `setRouter(String r)`
    `void` | `setSort(String f)`
    `void` | `setSsucaps(String f)`
    `void` | `setSybil(String c)`
    `void` | `setSybil2(String c)` For form, same as above but with a length check
    `void` | `setTransport(String f)`
    `void` | `setType(String f)`
    `void` | `setVersion(String v)`

    - ### Methods inherited from class net.i2p.router.web.FormHandler

      `_t, _t, _t, _x, addFormError, addFormError, addFormErrorNoEscape, addFormErrorNoEscape, addFormNotice, addFormNotice, addFormNoticeNoEscape, addFormNoticeNoEscape, getAllMessages, getErrors, getJettyString, getNotices, isAdvanced, setAction, setContextId, setNonce, setRequestWrapper, setSettings, storeMethod, storeNonces, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetDbHelper

          public NetDbHelper()

  - ### Method Detail

    - #### allowGraphical

          public void allowGraphical()

      call for non-text-mode browsers

    - #### getFloodfillNetDbSummary

          public String getFloodfillNetDbSummary()

      storeWriter() must be called previously

    - #### getNavBarHtml

          public String getNavBarHtml()
                               throws IOException

      Throws:
        `IOException`

    - #### getNetDbSummary

          public String getNetDbSummary()

    - #### getNewNonce

          public String getNewNonce()

      Override to save it
      Overrides:
        `getNewNonce` in class `FormHandler`
      Returns:
        a new random long as a String

    - #### isFloodfill

          public boolean isFloodfill()

    - #### processForm

          protected void processForm()

      Now we're a FormHandler
      Specified by:
        `processForm` in class `FormHandler`

    - #### setCaps

          public void setCaps(String c)

    - #### setClientPage

          public void setClientPage(String f)

    - #### setCost

          public void setCost(String f)

    - #### setCountry

          public void setCountry(String c)

    - #### setDate

          public void setDate(String f)

    - #### setEtype

          public void setEtype(String f)

    - #### setFamily

          public void setFamily(String c)

    - #### setFull

          public void setFull(String f)

    - #### setIntros

          public void setIntros(String f)

    - #### setIp

          public void setIp(String c)

    - #### setIpv6

          public void setIpv6(String f)

    - #### setLease

          public void setLease(String l)

    - #### setLeaseset

          public void setLeaseset(String f)

    - #### setLimit

          public void setLimit(String f)

    - #### setMode

          public void setMode(String f)

    - #### setMtu

          public void setMtu(String f)

    - #### setPage

          public void setPage(String f)

    - #### setPort

          public void setPort(String f)

    - #### setRouter

          public void setRouter(String r)

    - #### setSort

          public void setSort(String f)

    - #### setSsucaps

          public void setSsucaps(String f)

    - #### setSybil

          public void setSybil(String c)

    - #### setSybil2

          public void setSybil2(String c)

      For form, same as above but with a length check

    - #### setTransport

          public void setTransport(String f)

    - #### setType

          public void setType(String f)

    - #### setVersion

          public void setVersion(String v)